// COM proxy class, output from FunctionList.js
package owapi;
/**
 * Utilities for bit operations on an array.
 *
 * @version CLSID=ABF754B6-FBFA-4A6A-A714-E17F582DE3AB -     0.00, 27 August 2000
 * @author     DS
 * @com.register ( clsid=ABF754B6-FBFA-4A6A-A714-E17F582DE3AB, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class Bit
   implements com.ms.com.IUnknown
{


   /**
    * Write the bit state in a byte array.
    *
    * @param state new state of the bit 1, 0
    * @param index bit index into byte array
    * @param offset byte offset into byte array to start
    * @param buf byte array to manipulate
    */
   public void arrayWriteBit(int state, int index, int offset, ByteArray buf)
   {      
      com.dalsemi.onewire.utils.Bit.arrayWriteBit(state, index, offset, buf.array);
   }

   /**
    * Read a bit state in a byte array.
    *
    * @param index bit index into byte array
    * @param offset byte offset into byte array to start
    * @param buf byte array to read from
    *
    * @return bit state 1 or 0
    */
   public int arrayReadBit(int index, int offset, ByteArray buf)
   {      
      return com.dalsemi.onewire.utils.Bit.arrayReadBit(index, offset, buf.array);
   }


}
